Bug 1260154 - missing dependency on keystoneclient
missing dependency on keystoneclient
Status: CLOSED NEXTRELEASE
Product: RDO
Classification: Community
Component: python-cinderclient (Show other bugs)
Juno
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Juno
Assigned To: hguemar
nlevinki
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 11:05 EDT by Eric Harney
Modified: 2016-04-26 18:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.1.1-2.fc22.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-19 17:51:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Harney 2015-09-04 11:05:30 EDT
I had an el7 system installed a while ago with RDO packstack (Icehouse).  I installed a newer python-cinderclient from Juno.

# rpm -q openstack-cinder
openstack-cinder-2014.1.3-1.el7.centos.noarch
# rpm -q python-cinderclient
python-cinderclient-1.0.9-1.el7.noarch

Attempt to get a newer cinderclient:
# rpm -U https://repos.fedorapeople.org/repos/openstack/openstack-juno/epel-7/python-cinderclient-1.1.1-1.el7.centos.noarch.rpm
warning: /var/tmp/rpm-tmp.rmnfFr: Header V4 RSA/SHA1 Signature, key ID df6674e3: NOKEY

# cinder help
Traceback (most recent call last):
  File "/bin/cinder", line 6, in <module>
    from cinderclient.shell import main
  File "/usr/lib/python2.7/site-packages/cinderclient/shell.py", line 34, in <module>
    from cinderclient import client
  File "/usr/lib/python2.7/site-packages/cinderclient/client.py", line 26, in <module>
    from keystoneclient import adapter
ImportError: cannot import name adapter


python-cinderclient-1.1.1-1.el7 seems to not express correct dependencies for keystoneclient.

# rpm -q python-keystoneclient
python-keystoneclient-0.9.0-1.el7.noarch
Comment 1 Haïkel Guémar 2015-09-04 16:00:08 EDT
Thanks Eric for reporting this issue, builds are in process.
Comment 2 Eric Harney 2015-09-04 16:04:43 EDT
Note that it needs to require >0.10.0 for keystoneclient.adapter to exist.  (I had 0.9.0 installed.)
Comment 3 Fedora Update System 2015-09-04 16:07:00 EDT
python-cinderclient-1.1.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15110
Comment 4 Fedora Update System 2015-09-06 14:52:28 EDT
python-cinderclient-1.1.1-2.fc22.1 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-cinderclient'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15110
Comment 5 Fedora Update System 2015-09-19 17:51:27 EDT
python-cinderclient-1.1.1-2.fc22.1 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.